import type { IManifest, IManifestEvent } from '../domain';
export interface IPodNameProvider {
    getPodName(): string;
}
export declare class DefaultPodNameProvider implements IPodNameProvider {
    private podName;
    constructor(podName: string);
    getPodName(): string;
}
export declare class JobEventBasedPodNameProvider implements IPodNameProvider {
    private manifest;
    private manifestEvent;
    constructor(manifest: IManifest, manifestEvent: IManifestEvent);
    getPodName(): string;
    private canParsePodName;
}
